Package org.apache.tapestry5.http.internal.services

## Class RequestGlobalsImpl

- java.lang.Object
- - org.apache.tapestry5.http.internal.services.RequestGlobalsImpl

- All Implemented Interfaces:
    `RequestGlobals`

      @Scope("perthread")
      public class RequestGlobalsImpl
      extends java.lang.Object
      implements RequestGlobals

  Dumb data holder for per-request data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestGlobalsImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getActivePageName()` | Returns the active page name previously stored.
    `HttpServletRequest` | `getHTTPServletRequest()` | The Servlet API Request.
    `HttpServletResponse` | `getHTTPServletResponse()` |
    `Request` | `getRequest()` | The current request.
    `Response` | `getResponse()` | The current response.
    `void` | `storeActivePageName​(java.lang.String pageName)` | Stores the canonicalized name of the active page for this request.
    `void` | `storeRequestResponse​(Request request, Response response)` |
    `void` | `storeServletRequestResponse​(HttpServletRequest request, HttpServletResponse response)` | Stores the servlet API request and response objects, for access via the properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestGlobalsImpl

          public RequestGlobalsImpl()

  - ### Method Detail

    - #### storeServletRequestResponse

          public void storeServletRequestResponse​(HttpServletRequest request,
                                                  HttpServletResponse response)

      Description copied from interface: `RequestGlobals`
      Stores the servlet API request and response objects, for access via the properties.
      Specified by:
        `storeServletRequestResponse` in interface `RequestGlobals`

    - #### getHTTPServletRequest

          public HttpServletRequest getHTTPServletRequest()

      Description copied from interface: `RequestGlobals`
      The Servlet API Request. This is exposed as service HTTPServletRequest.
      Specified by:
        `getHTTPServletRequest` in interface `RequestGlobals`

    - #### getHTTPServletResponse

          public HttpServletResponse getHTTPServletResponse()

      Specified by:
        `getHTTPServletResponse` in interface `RequestGlobals`

    - #### storeRequestResponse

          public void storeRequestResponse​(Request request,
                                           Response response)

      Specified by:
        `storeRequestResponse` in interface `RequestGlobals`

    - #### getRequest

          public Request getRequest()

      Description copied from interface: `RequestGlobals`
      The current request. This is exposed as service Request.
      Specified by:
        `getRequest` in interface `RequestGlobals`

    - #### getResponse

          public Response getResponse()

      Description copied from interface: `RequestGlobals`
      The current response. This is exposed as service Response.
      Specified by:
        `getResponse` in interface `RequestGlobals`

    - #### getActivePageName

          public java.lang.String getActivePageName()

      Description copied from interface: `RequestGlobals`
      Returns the active page name previously stored.
      Specified by:
        `getActivePageName` in interface `RequestGlobals`
      Returns:
        canonicalized page name

    - #### storeActivePageName

          public void storeActivePageName​(java.lang.String pageName)

      Description copied from interface: `RequestGlobals`
      Stores the canonicalized name of the active page for this request.
      Specified by:
        `storeActivePageName` in interface `RequestGlobals`
      Parameters:
        `pageName` - name of page (probably extracted from the URL)